
Redmine - Defect #17609

The issue ID number increments a lot for no apparent reason (example 2 subsequent id's are 1299

and the next one is 2297)

2014-08-04 16:38 - Kristof Despiere

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.2

Description

The issue ID number increments a lot for no apparent reason (example 2 subsequent id's are 1299 and the next one is 2297)

We have had the same issue again now, it jumped from 2362 to 3355.

The backend database we use is a SQL Server 2012 Express. Apart from that I do not see an entry in the log pointing to why it

behaves like this.

Anyone has an idea how this happens/can happen ? Or how to avoid it in the future ?

History

#1 - 2015-03-31 19:47 - Leonel Iturralde

I found something about this

http://stackoverflow.com/questions/17587094/identity-column-value-suddenly-jumps-to-1001-in-sql-server

#2 - 2019-01-10 04:34 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

I think that it is a problem generated by the SQL Server and not by Redmine. Please reopen if I'm wrong.
